This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1001474 - Review Request: python-django-secure - Utilities and a 'linter' to help you make your Django site more secure
Review Request: python-django-secure - Utilities and a 'linter' to help you m...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1001369 1032303
  Show dependency treegraph
 
Reported: 2013-08-27 02:47 EDT by Matthias Runge
Modified: 2013-11-19 18:27 EST (History)
2 users (show)

See Also:
Fixed In Version: python-django-secure-1.0-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-06 21:26:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
i: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matthias Runge 2013-08-27 02:47:28 EDT
Spec URL: http://www.matthias-runge.de/fedora/python-django-secure.spec
SRPM URL: http://www.matthias-runge.de/fedora/python-django-secure-1.0-1.fc19.src.rpm
Description: Helping you remember to do the stupid little things to improve your Django site's security.

Inspired by Mozilla's `Secure Coding Guidelines`_, and intended for sites that
are entirely or mostly served over SSL (which should include anything with
user logins).

Fedora Account System Username: mrunge

rpmlint ./python-django-secure.spec /home/mrunge/rpmbuild/SRPMS/python-django-secure-1.0-1.fc19.src.rpm /home/mrunge/rpmbuild/RPMS/noarch/python-django-secure-1.0-1.fc19.noarch.rpm
python-django-secure.src: W: spelling-error Summary(en_US) linter -> liner, liter, inter
python-django-secure.src: W: spelling-error %description -l en_US logins -> losing, loins, lo gins
python-django-secure.noarch: W: spelling-error Summary(en_US) linter -> liner, liter, inter
python-django-secure.noarch: W: spelling-error %description -l en_US logins -> losing, loins, lo gins
2 packages and 1 specfiles checked; 0 errors, 4 warnings.


Scratch-build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5858502
Comment 1 Christopher Meng 2013-08-27 02:50:14 EDT
Where is py3 support?
Comment 2 Matthias Runge 2013-08-27 03:01:09 EDT
(In reply to Christopher Meng from comment #1)
> Where is py3 support?

Currently, py3 support in django is more experimental. I will add, once py3 in django gets more stable.
Comment 3 Christopher Meng 2013-08-27 04:09:11 EDT
1. Old fashion...

↓↓↓↓MUST DO BEFORE SCM WINDOW↓↓↓↓

BuildRequires:  python-devel

to

BuildRequires:  python2-devel

↑↑↑↑MUST DO BEFORE SCM WINDOW↑↑↑↑

2. Consider changing

html (in %doc) 

to

html/*

PACKAGE APPROVED.
Comment 4 Matthias Runge 2013-08-27 06:18:32 EDT
Thanks for the quick review!

When using html/*, the dir itself won't get included (and thus, will end in an unowned dir ;-)

New Package SCM Request
=======================
Package Name: python-django-secure
Short Description: Utilities and a 'linter' to help you make your Django site more secure
Owners: mrunge
Branches: f19 f20 el6
Comment 5 Christopher Meng 2013-08-27 06:21:43 EDT
I mean we can install doc files to /usr/share/doc/python-django-secure, so when user enter in the directory, he/she can directly see the docs instead of enter a weird dir "html" and then see the files.

Not sure if I'm right, busy now.
Comment 6 Gwyn Ciesla 2013-08-27 08:23:42 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2013-08-28 07:41:55 EDT
python-django-secure-1.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-django-secure-1.0-1.el6
Comment 8 Fedora Update System 2013-08-28 07:42:07 EDT
python-django-secure-1.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-django-secure-1.0-1.fc19
Comment 9 Fedora Update System 2013-08-28 12:43:29 EDT
python-django-secure-1.0-1.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 10 Fedora Update System 2013-09-06 21:26:02 EDT
python-django-secure-1.0-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 11 Fedora Update System 2013-09-12 13:34:58 EDT
python-django-secure-1.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.